Subject: Re: [MBONED] MBONED Digest, Vol 134, Issue 10

From: "James A. (Jim) Stevens" <[email-masked]>
Date: Fri, 30 Mar 2018 22:19:14 -0500

On Thu, 29 Mar 2018 21:21:34 +0000
​
, Tim Chown <[email-masked]>  wrote:

> Hi,
>
> We've just posted a new -01 version of the draft on deprecating
> interdomain ASM. Toerless is now also an author.
>
> We'll be working on a further new version in the coming weeks, so all
> comments and suggestions for improvement are very welcome.
>
> The WG session agreed WG adoption, but I've posted the -01 as an
> individual draft as the adoption hasn't - I think - been confirmed on the
> list.
>
> Best wishes,
> Tim
>
> > On 29 Mar 2018, at 22:17, [email-masked] wrote:
> >
> >
> > A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> >
> >
> >        Title           : Deprecating ASM for Interdomain Multicast
> >        Authors         : Mikael Abrahamsson
> >                          Tim Chown
> >                          Lenny Giuliano
> >                          Toerless Eckert
> >       Filename        : draft-acg-mboned-deprecate-
> interdomain-asm-01.txt
> >       Pages           : 15
> >       Date            : 2018-03-29
> >
> > Abstract:
> >   This document recommends deprecation of the use of Any-Source
> >   Multicast (ASM) for interdomain multicast.  It recommends the use of
> >   Source-Specific Multicast (SSM) for interdomain multicast
> >   applications, and that hosts and routers that are expected to handle
> >   such applications fully support SSM.  The recommendations in this
> >   document do not preclude the continued use of ASM within a single
> >   organisation or domain, and are especially easy to adopt when already
> >   using the preferred ASM protocol options there (PIM-SM).
>
>
​I think that this is an appropriate document.  One picky comment with
respect to the following paragraph from the introduction:
"   This document does not make any statement on the use of ASM within a

   single domain or organisation, and therefore does not preclude its
   use.  Indeed, there may be a number of application contexts for which
   ASM is currently still considered well-suited within a single domain.

"​
​As per the earlier emails, there are some applications contexts for which
ASM is still the best suited approach.​ For example, in an earlier email, I
mentioned a multicast scenario with many dynamic bidirectional sources and
receivers, where we use ASM rather than SSM model to reduce management
overhead and simplify source discovery by not having to track which nodes
have joined which groups in order to do an SSM join to all the members of
the group.

Thus, I recommend rewording the last sentence in that paragraph to
something like
"    Indeed, there are application contexts for which

   ASM is still considered well-suited within a single domain."

Regards,
Jim Stevens